Subject: Re: wstring, how?
From: "Gerrit P. Haase" <[email-masked]>
To: Cygwin List <[email-masked]>
Date: Sun, 24 Oct 2004 23:48:00 +0200

Larry Hall wrote:
> Sorry, I wasn't specific in my reply.  'wchar_t' is referenced in newlib.  
> 'wstring' is only defined (typedef) in '/usr/include/g++-3/string' but it 
> is commented out.  Like I said though, if you uncomment it (or put the same
> definition in the code), everything compiles/links fine.  So, on the face 
> of it, it would appear that using 'wstring', 'wchar_t', and, presumably,
> wide-character functions are possible with Cygwin.  Am I missing something?

There is
configure:25389: checking for ISO C99 wchar_t support
configure:25399: result: no
and
configure:25841: checking for XPG2 wchar_t support
configure:25851: result: yes
configure:25866: checking for enabled wchar_t specializations
configure:25868: result: no
in the log.

The result is:
// Define if code specialized for wchar_t should be used.
/* #undef _GLIBCXX_USE_WCHAR_T */

These symbols are available in libcygwin:
btowc
mbrlen
mbrtowc
mbsinit
mbsrtowcs
wcrtomb
wcscat
wcschr
wcscmp
wcscoll
wcscpy
wcscspn
wcsncat
wcsncmp
wcsncpy
wcspbrk
wcsrchr
wcsrtombs
wcsspn
wcsstr
wctob
wprintf

But these symbols are missing:
fgetwc
fgetws
fputwc
fputws
fwide
fwprintf
fwscanf
getwc
getwchar
putwc
putwchar
swprintf
swscanf
ungetwc
vfwprintf
vfwscanf
vswprintf
vswscanf
vwprintf
vwscanf
wcsftime
wcstod
wcstof
wcstok
wcstol
wcstoul
wcsxfrm
wscanf

Then there is in the libstdc++ configure:

     dnl At the moment, only enable wchar_t specializations if all the
     dnl above support is present.

There are quite a lot symbols missing.

Gerrit
-- 
=^..^=

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/